<?php

class MBLConnectorMonitorRunner
{
    private static $monitor;

    public static function init()
    {
        if(defined('WP_MEMBERSHIP_VERSION') && !version_compare(WP_MEMBERSHIP_VERSION, '2.9.9.9.9.9', '<')) {
            self::$monitor = new MBLConnectorMonitor();
            add_action('all', [self::$monitor, 'monitor'], MBLConnectorCore::PRIORITY_MIN - 1);
        }
    }

    public static function getCallbacks()
    {
        return self::$monitor->getCallbacks();
    }

    public static function removeThemeHooks($alias)
    {
        return self::$monitor->removeThemeHooks($alias);
    }
    
    public static function removePluginHooks($alias)
    {
        return self::$monitor->removePluginHooks($alias);
    }
}