<?php /** @var $plugins [] */ ?>
<?php /** @var $theme [] */ ?>
<div id="tab-mbl-connector" class="tab connector-color-content">
    <div class="wpm-tab-content">
        <table class="mblc-plugins">
            <thead>
                <tr>
                    <th class="mblc-item-name"><?php _e('Плагин', 'mbl_admin'); ?></th>
                    <th data-type="allow"><?php _e('Подключить', 'mbl_admin'); ?></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach ($plugins as $alias => $plugin) : ?>
                <tr>
                    <td class="mblc-plugin-name"><?php echo $plugin; ?></td>
                    <td data-control-type="allow"><?php wpm_render_partial('options/checkbox-row', 'admin', ['label' => '', 'key' => "mbl_connector.plugins.{$alias}.allow", 'inline' => 1, 'default' => 'on']) ?></td>
                </tr>
            <?php endforeach; ?>
            </tbody>
        </table>
        
        <table class="mblc-plugins mblc-theme">
            <thead>
                <tr>
                    <th class="mblc-item-name"><?php _e('Тема', 'mbl_admin'); ?></th>
                    <th data-type="allow"><?php _e('Подключить', 'mbl_admin'); ?></th>
                </tr>
            </thead>
            <tbody>
            <tr>
                <td class="mblc-plugin-name"><?php echo $theme['name']; ?></td>
                <td data-control-type="allow"><?php wpm_render_partial('options/checkbox-row', 'admin', ['label' => '', 'key' => "mbl_connector.themes.{$theme['alias']}.allow", 'inline' => 1]) ?></td>
            </tr>
            </tbody>
        </table>

        <?php wpm_render_partial('settings-save-button', 'common'); ?>
    </div>
</div>